This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 168441 - some tools (e.g. rpm) are crashing after upgrading libselinux
some tools (e.g. rpm) are crashing after upgrading libselinux
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-15 20:24 EDT by Dieter Stolte
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 23:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dieter Stolte 2005-09-15 20:24:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
After upgrading to the latest libselinux and libsetrans I see some tools crashing which worked perfectly before (and there were no updates of these tools). Another indicator is the crash report.


Version-Release number of selected component (if applicable):
libselinux-1.26-{1-4}

How reproducible:
Sometimes

Steps to Reproduce:
1. rpm -qVa
2.
3.
  

Actual Results:  S.5....T.   /usr/share/texmf-var/fonts/map/dvips/updmap/ps2pk.map
S.5....T.   /usr/share/texmf-var/fonts/map/dvips/updmap/psfonts_pk.map
S.5....T.   /usr/share/texmf-var/fonts/map/dvips/updmap/psfonts_t1.map
S.5....T. c /usr/lib/security/classpath.security
*** glibc detected *** /usr/lib/rpm/rpmq: free(): invalid pointer: 0x099e5914 ***
======= Backtrace: =========
/lib/libc.so.6[0x220994]
/lib/libc.so.6(__libc_free+0x77)[0x220ecf]
/lib/libselinux.so.1(freecon+0x1d)[0xc7f8a1]
/usr/lib/librpm-4.4.so(rpmVerifyFile+0x69e)[0xa57bf1]
/usr/lib/librpm-4.4.so(showVerifyPackage+0x2a5)[0xa58117]
/usr/lib/librpm-4.4.so[0xa303de]
/usr/lib/librpm-4.4.so(rpmQueryVerify+0x148)[0xa31121]
/usr/lib/librpm-4.4.so(rpmcliArgIter+0x2b8)[0xa31fbe]
/usr/lib/librpm-4.4.so(rpmcliVerify+0x8f)[0xa574af]
/usr/lib/rpm/rpmq[0x8049b82]
/lib/libc.so.6(__libc_start_main+0xdf)[0x1d24ff]
/usr/lib/rpm/rpmq[0x80492e1]
======= Memory map: ========
00111000-00113000 r-xp 00000000 03:03 60344      /lib/libsetrans.so.0
00113000-00114000 rwxp 00001000 03:03 60344      /lib/libsetrans.so.0
001a0000-001b9000 r-xp 00000000 03:03 58520      /lib/ld-2.3.90.so
001b9000-001ba000 r-xp 00018000 03:03 58520      /lib/ld-2.3.90.so
001ba000-001bb000 rwxp 00019000 03:03 58520      /lib/ld-2.3.90.so
001bd000-002e2000 r-xp 00000000 03:03 58617      /lib/libc-2.3.90.so
002e2000-002e4000 r-xp 00125000 03:03 58617      /lib/libc-2.3.90.so
002e4000-002e6000 rwxp 00127000 03:03 58617      /lib/libc-2.3.90.so
002e6000-002e8000 rwxp 002e6000 00:00 0
...
b7fc9000-b7fca000 rw-p b7fc9000 00:00 0
bfb7d000-bfbca000 rw-p bfb7d000 00:00 0          [stack]
Abgebrochen


Expected Results:  no crash


Additional info:
Comment 1 Daniel Walsh 2005-09-16 10:23:14 EDT
What version of libsetrans do you have installed?

What version of selinux-policy-targeted?

Dan
Comment 2 Dieter Stolte 2005-09-16 11:56:21 EDT
$ rpm -q libsetrans
libsetrans-0.1.5-1

$ rpm -q selinux-policy-targeted
selinux-policy-targeted-1.26-1

$ cat /etc/sysconfig/selinux
# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#       enforcing - SELinux security policy is enforced.
#       permissive - SELinux prints warnings instead of enforcing.
#       disabled - SELinux is fully disabled.
SELINUX=permissive
# SELINUXTYPE= type of policy in use. Possible values are:
#       targeted - Only targeted network daemons are protected.
#       strict - Full SELinux protection.
SELINUXTYPE=targeted
Comment 3 Daniel Walsh 2005-09-16 16:13:28 EDT
Fixed in libselinux-1.26-6

Available now at ftp://people.redhat.com/dwalsh/SELinux/Fedora/

Comment 4 Radu Greab 2005-11-16 04:42:46 EST
libselinux-1.23.10-2 from FC4 has the same problem, see bugzilla #164130. Will
an update be provided for FC4 too?
Comment 5 Daniel Walsh 2007-03-15 23:35:44 EDT
Closing several old modified bugs

Note You need to log in before you can comment on or make changes to this bug.